Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 648766 - net-misc/freerdp-2.0.0_rc1 with dev-libs/openssl-1.1.0g-r2 - ../../libwinpr/libwinpr2.so.2.0.0: undefined reference to `EVP_CIPHER_CTX_init'
Summary: net-misc/freerdp-2.0.0_rc1 with dev-libs/openssl-1.1.0g-r2 - ../../libwinpr/l...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mike Gilbert
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: openssl-1.1 openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2018-02-25 13:10 UTC by bug2017
Modified: 2018-10-24 16:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge output (build.log,489.64 KB, text/plain)
2018-02-25 13:10 UTC, bug2017
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bug2017 2018-02-25 13:10:07 UTC
Created attachment 521010 [details]
emerge output

pulled in by kde-apps/krdc-17.12.2[rdp]

build errors of 2.0.0_rc1 and 9999 are the same:

make[2]: Leaving directory '/var/tmp/portage/net-misc/freerdp-2.0.0_rc1/work/freerdp-2.0.0_rc1_build'
../../libwinpr/libwinpr2.so.2.0.0: undefined reference to `EVP_CIPHER_CTX_init'
collect2: error: ld returned 1 exit status
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2018-09-29 18:16:43 UTC
Since we decided to no longer build openssl without deprecated features, this
bug can now be considered as fixed (but will eventually reappear once openssl
upstream finally removed deprecated features from their code).